Get combo holders by condition
curl --request GET \
--url https://api.struct.to/v1/polymarket/combos/conditions/{condition_id}/holdersimport requests
url = "https://api.struct.to/v1/polymarket/combos/conditions/{condition_id}/holders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.struct.to/v1/polymarket/combos/conditions/{condition_id}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"condition_id": "<string>",
"position_ids": [
"<string>"
],
"positions": [
{
"position_id": "<string>",
"total_holders": 1,
"holders": [
{
"wallet": "<string>",
"balance": 123,
"balance_raw": "<string>",
"pnl": {
"total_buys": 123,
"total_sells": 123,
"total_shares_bought": 123,
"total_shares_sold": 123,
"total_buy_usd": 123,
"total_sell_usd": 123,
"redemption_usd": 123,
"merge_usd": 123,
"convert_collateral_usd": 123,
"converted_count": 123,
"converted_shares_gained": 123,
"converted_shares_lost": 123,
"avg_entry_price": 123,
"avg_exit_price": 123,
"avg_price": 123,
"realized_pnl_usd": 123,
"total_pnl_usd": 123,
"unrealized_pnl_usd": 123,
"total_fees": 123,
"first_trade_at": 123,
"last_trade_at": 123,
"last_traded_price": 123,
"realized_pnl_pct": 123,
"total_pnl_pct": 123,
"won": true,
"redeemable": true,
"mergeable": true
}
}
],
"has_more": true,
"condition_id": "<string>",
"outcome_name": "<string>",
"outcome_index": 123,
"pagination_key": "<string>"
}
]
}Combos
Get combo holders by condition
Retrieve holders for the combo yes/no side position IDs associated with a combo condition ID. The returned position IDs are the values to use as {position_id} in /polymarket/combos/{position_id}/holders; they are not leg position IDs. Set include_pnl=true to include a per-holder pnl object for each combo side.
GET
/
polymarket
/
combos
/
conditions
/
{condition_id}
/
holders
Get combo holders by condition
Path Parameters
Combo condition ID (0x-prefixed 32-byte hex)
Query Parameters
Per-position results limit (default: 50, max: 500)
Minimum combo balance held, in decimal shares
Maximum combo balance held, in decimal shares
Include nested holder PnL data for each combo side (default: false)
Response
Combo holders grouped by associated position ID
Last modified on August 7, 2026
Was this page helpful?